import Session from "../domain/Session";
import Interaction from "./Interaction";
import Tester from "./Tester";
export default interface ISessionRepository {

    addSession(session: Session): Promise<string>;

    addExploration(sessionId: string, explorationNumber: number, tester: Tester): Promise<number>;

    updateInteractionListOfExploration(sessionId: string, explorationNumber: number, updatedInteractionList: Interaction[]): Promise<void>;

    updateExplorationIsStopped(sessionId: string, explorationNumber: number): Promise<void>;

    findSessionById(sessionId: string): Promise<Session>;
}
